Package net.shibboleth.idp.attribute.resolver.dc.saml.util.impl

# Class AttributeAuthorityEntityIDSource

java.lang.Object
net.shibboleth.idp.attribute.resolver.dc.saml.util.impl.AttributeAuthorityEntityIDSource

Direct Known Subclasses:
  `AttributeAuthorityEntityIDReference`, `AttributeAuthorityEntityIDValue`

public abstract class AttributeAuthorityEntityIDSource extends Object
Abstraction used to represent the source data for deriving an attribute authority entityID.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`value`
The source value.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AttributeAuthorityEntityIDSource(String newValue)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getValue()`
Get the source value.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### value

@Nonnull private String value
The source value.

## Constructor Details

### AttributeAuthorityEntityIDSource

protected AttributeAuthorityEntityIDSource(@Nonnull String newValue)
Constructor.

Parameters:
  `newValue` - the source value

## Method Details

### getValue

@Nonnull public String getValue()
Get the source value.

Returns:
  the value

### toString

public String toString()

Overrides:
  `toString` in class `Object`